#include <iostream>
using namespace std;

bool isPrime1(int n) {
	int divisors = 0;
	int i = 1;
	while (i <= n) {
		if (n % i == 0) {
			divisors = divisors + 1;
		}
		i = i + 1;
	}
	return divisors == 2;
}

/*
Терминация:
Последното достигане на 7-ми ред е при i = n + 1,

divisors e броя на положителните делители на n, които са <= i-1
divisors e броя на положителните делители на n, които са <= n+1-1
divisors e броя на положителните делители на n, които са <= n
return divisors == 2;


Всеки път когато достигнем ред 7-ми е вярно, че
divisors e броя на положителните делители на n, които са <= i-1

База:
i=1, divisors = 0 => броя на делителите е 0 и divisors e 0

Поддръжка:
Допускаме, че е вярно за някое непоследно достигане на 7-ми ред

divisors e броя на делители на n, които са <= i-1

В тялото на цикъла:
Ако i е делител на n, то divisors' = divisors + 1
Иначе 					 divisors' = divisors

i' = i + 1;

divisors' e броя на делители на n, които са <= i'-1?
divisors' e броя на делители на n, които са <= i+1-1
divisors' e броя на делители на n, които са <= i

divisors e броя на делители на n, които са <= i-1
Ако i e делител на n, то броя на делителите на n, които са <= i e равно на
броя на делителите на n, които са <= i-1 плюс 1, защото i e делител на n
divsors' = divsors + 1

Ако i не е делител на n, то
то броя на делителите на n, които са <= i  <=> то броя на делителите на n, които са <= i-1
divisors' = divsors
*/

bool isPrime3(int n) {
	int i = 2;
	while (i < n) {
		if (n % i == 0) {
			return false;
		}
		i = i + 1;
	}
	return true;
}
/*
При всяко достигане на 62-ти ред е вярно, че:
Няма число между 2 ... i - 1, което да дели n

База:
Няма число между 2 ... 1, което да дели n

Поддръжка:
Допускаме, че е вярно за някое непоследно достигане на 62 ред
яма число между 2 ... i - 1, което да дели n

Допускайки, че е непоследно достигане, отхвърляме възоможността i да дели n

i не дели n
i' = i + 1

Няма число между 2 ... i' - 1, което да дели n
Няма число между 2 ... i + 1 - 1, което да дели n
Няма число между 2 ... i, което да дели n

Терминация:
Ако return-нем от 64 ред, 
i дели n и 2<=i<n, то тогава n e съставноо => false

Ако стигнем до 62 ред и i = n, то тогава цикълът ще спре
Няма число между 2 ... i - 1, което да дели n
Няма число между 2 ... n - 1, което да дели n
=> n е просто
return true
*/

















bool isPrime2(int n) {
	bool composite = false;
	int i = 2;
	while (i < n) {
		if (n % i == 0) {
			composite = true;
		}
		i = i + 1;
	}
	return !composite;
}
/*
Терминация:
Последното достигнае на 91-ви ред е вярно, че:
Последното достигане е при i = n
ако composite = true, тo съществува делител на n, който е по-малък от i и по-голям от 1
ако composite = false, тo не съществува делител на n, който е по-малък от i и по-голям от 1
ако composite = true, тo съществува делител на n, който е по-малък от n и по-голям от 1
ако composite = false, тo не съществува делител на n, който е по-малък от n и по-голям от 1


Всеки път когато достигнем ред 91-ви е вярно, че
ако composite = true, тo съществува делител на n, който е по-малък от i и по-голям от 1
ако composite = false, тo не съществува делител на n, който е по-малък от i и по-голям от 1

База:
composite=false,i=2 <=> не съществува делител на n, който е по-малък от 2 и по-голям от 1
Поддръжка:
Допускаме, че 
ако composite = true, тo съществува делител на n, който е по-малък от i и по-голям от 1
ако composite = false, тo не съществува делител на n, който е по-малък от i и по-голям от 1

Ако i дели n, то composite' = true
Иначе 			 composite' = composite
i' = i + 1


?
ако composite' = true, тo съществува делител на n, който е по-малък от i' и по-голям от 1
ако composite' = false, тo не съществува делител на n, който е по-малък от i' и по-голям от 1

Ако i дели n, то composite' = true
i e делител на n и i < i'=i+1 => съществува делител на n, който е по-малък от i' и по-голям от 1

Ако i не дели n, то composite' = composite
знаем, че ако composite = true, тo съществува делител на n, който е по-малък от i и по-голям от 1
=> съществува делител на n, който е по-малък от i' и по-голям от 1

ако i не дели n и composite' = composite = false
не съществува делител на n, който е по-малък от i и по-голям от 1
i не е делител на n
=>
не съществува делител на n, който е по-малък от i + 1 и по-голям от 1
не съществува делител на n, който е по-малък от i' и по-голям от 1
*/

int main() {
	int n;
	cin >> n;
	cout << isPrime1(n) << "\n";
	return 0;
}
